<?php

/* 

 * 客户端获取注册方式

 * ==============================================================

 * @param      register_username        | 用户名注册

 * @param      register_phone           | 手机号码注册

 * @param      author                   | zhangxin

 * ==============================================================

 */



if(!defined('IN_DISCUZ')) {

	exit('Access Denied');

}

loadcache('plugin');

global $_G;



//print_r($_G['cache']['plugin']['forum']);die;

$regstatus = isset($_G['cache']['plugin']['forums'])?$_G['cache']['plugin']['forums']:odz_error('plugin not exists');

        

$result = array(

        'findpwdbyphone' => isset($_G['cache']['plugin']['smstong']['mobilepwd']) && $_G['cache']['plugin']['smstong']['mobilepwd'] == 0 ? 0 : 1,

        'register_username' => !empty($regstatus['register_username'])?'1':'0',

        'register_phone'    => isset($_G['cache']['plugin']['smstong']) && !empty($regstatus['register_phone'])?'1':'0',

        'login_qq'      => !empty($regstatus['login_qq'])?'1':'0',

        'login_wechat' => !empty($regstatus['login_wechat'])?'1':'0',

);





odz_result($result);



?>